Zum Inhalt

Get customerTemplate

Retrieve the properties and relationships of a customerTemplate object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/customerTemplatesWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a customerTemplate object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/customerTemplatesWebCon({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "value": [
        {            
            "id": "cf3f4203-0e30-ee11-bdfc-6045bde98c16",
            "code": "DEBITOR EU-UNTERN.",
            "description": "EU-Debitor (Bank)"
        },
        {            
            "id": "d03f4203-0e30-ee11-bdfc-6045bde98c16",
            "code": "DEBITOR PERSON",
            "description": "Barzahlungsdebitor (Kasse)"
        },
        {            
            "id": "d13f4203-0e30-ee11-bdfc-6045bde98c16",
            "code": "DEBITOR UNTERNEHMEN",
            "description": "Business-to-Business-Debitor (Bank)"
        }
    ]
}

See also

Tips for working with the APIs
customerTemplate
Delete customerTemplate
Create customerTemplate
Update customerTemplate